// File:      addchange.c
// Author:    Andrew Hynek
// Purpose:   Changelog appending utility.
// Created:   [Sunday] July 8, 2001
//            Copyright (c) 2001 by Andrew Hynek

// ___________________________________________________________________________
//
// Included files
// ___________________________________________________________________________

#include <stdio.h>
#include <string.h>
#include <time.h>

// ___________________________________________________________________________
//
// main
// ___________________________________________________________________________

int main(void)
{
  time_t now = time(NULL);
  struct tm *local = localtime(&now);
  char buf[1024];
  FILE *fl;
  int done;

  if (!(fl = fopen("changelog", "a+"))) {
    printf("Error: could not open changelog\n");
    return 0;
  }

  buf[0] = '\0';
  while (buf[0] == '\0') {
    printf("Enter coder.ident: ");
    gets(buf);    
  }

  local->tm_year = local->tm_year % 100;

  fprintf(fl, "(%s%d:%s%d:%s%d/%s%d-%s%d-%s%d) Coder: %s\n",
          local->tm_hour < 10 ? "0" : "", local->tm_hour,
          local->tm_min < 10 ? "0" : "", local->tm_min,
          local->tm_sec < 10 ? "0" : "", local->tm_sec,
          local->tm_mon < 9 ? "0" : "", local->tm_mon + 1,
          local->tm_mday < 10 ? "0" : "", local->tm_mday,
          local->tm_year < 10 ? "0" : "", local->tm_year, buf);

  buf[0] = '\0';
  done = 0;

  printf("Enter change (type 'done' on a newline to save)\n");

  while (!done) {
    printf(" :: ");
    gets(buf);

    if (!(done = !strcmp(buf, "done")))
      fprintf(fl, "    %s\n", buf);
  }

  fclose(fl);

  printf("Change added\n");

  return 0;
}
